DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageForge

Allocate pixel data for an image

## SYNOPSIS

dip_Error dip_ImageForge( image )

## FUNCTION

Allocates a block of memory to store pixel data for an image. The image must be "raw", and will be "forged" afterwards. The routine will fail if the image fields do not contain a valid combination of values for the image type.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | The image for which the pixel data must be allocated

## SEE ALSO

The image structure

`ImageNew`, `ImageFree`, `ImageStrip`, `ImageCopyProperties`